Subject: [Sigtran] M2UA - ASPs

From: David Lehmann <[email-masked]>
Date: Mon, 03 Mar 2003 16:55:14 -0500

Hello,

I am trying to get a handle on what exactly distinguishes one
ASP from another.  I had thought of an ASP as the endpoint
of the an M2UA-SCTP association on the AS side.  However, in
appendix A of RFC 3331, the diagram shows two ASPs, each with
two associations.

Given the state machine in RFC 3331, section 4.3.1,
what happens if an SCTP CDI from one associations arrives.
Is the ASP down, even though the other association is
still established?  Is the ASP half up?

Wouldn't the diagram in the appendix be better served
with two ASPs on Host1 and Host2 with each ASP handling
one association?  In this case, the loss of one association
will not affect the other.

-- 

David Lehmann                          Ulticom, Inc.
AOL/Yahoo IM: davidULCM                1020 Briggs Road
1-856-787-2729                         Mt. Laurel, NJ 08054   USA

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 3 Mar 2003 16:11:01 -0700

David,

David Lehmann wrote:                                                                 (Mon, 03 Mar 2003 16:55:14)
> appendix A of RFC 3331, the diagram shows two ASPs, each with

To different SGP.

> still established?  Is the ASP half up?

The ASP is ASP-DOWN for the SGP to which the association
failed and is ASP-UP for the SGP to which the association
remains.

We had some long dicussions on this.  The state machines
are drawn from the viewpoint of an SGP, and all AS states
are per-AS.

> will not affect the other.

The appendix is an example.  It is possible to have a situation
where each SGP is only connected to one ASP (but then the number
of SGP would have to equal the number of ASPs).

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Ken Morneault <[email-masked]>
Date: Mon, 03 Mar 2003 21:50:29 -0500

David,

The ASPs in the diagram have two associations:  one to
SGP1 and one to SGP2.  The state machine that you
refer to in Section 4.3.1 is maintained at the SGP so
if one association fails it only affects the state at 
that particular SGP.

Regards,

Ken